Create checkout session
curl --request POST \
--url https://api.overshoot.ai/billing/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount_cents": 101
}
'import requests
url = "https://api.overshoot.ai/billing/checkout"
payload = { "amount_cents": 101 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount_cents: 101})
};
fetch('https://api.overshoot.ai/billing/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}{
"detail": "<string>"
}{
"error": "validation_error",
"message": "Request validation failed",
"details": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Models & pricing
Create checkout session
Create a checkout session for buying prepaid credits. amount_cents must be at
least 100.
POST
/
billing
/
checkout
Create checkout session
Authorizations
Every public HTTP request requires Authorization: Bearer <api_key>, except
GET /models and the public /billing/pricing endpoints.
401means the key is missing, unknown, or revoked.403means the key is valid but cannot access the requested resource.- The publish token returned by
POST /streamsis only for publishing media to LiveKit. It does not replace the API key for HTTP calls.
Body
application/json
Amount to charge, in cents. Must be at least 100.
Required range:
x >= 100Response
Checkout URL.
Hosted checkout URL.
⌘I